-#!/bin/bash
+#!/usr/bin/env bash
# SPDX-License-Identifier: MIT
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
unset LC_CTYPE
unset LANG
test -d linux || git clone https://github.com/AsahiLinux/linux
cd linux
git fetch -a -t
- git reset --hard origin/asahi-wip; git clean -f -x -d &> /dev/null
- curl -sL https://raw.githubusercontent.com/AsahiLinux/PKGBUILDs/main/linux-asahi/config > .config
- make olddefconfig
- make -j `nproc` V=0 > /dev/null
- sudo make modules_install
- sudo make install
+ git reset --hard asahi-6.1-rc5-9;
+ source "$HOME/.cargo/env"
+ cat ../../config.edge > .config
+ make LLVM=-14 olddefconfig
+ make LLVM=-14 -j `nproc` V=0 > /dev/null
+ sudo make LLVM=-14 V=0 modules_install > /dev/null
+ sudo make LLVM=-14 install
)
}
test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
cd m1n1
git fetch -a -t
- git reset --hard origin/lina/gpu-wip; git clean -f -x -d &> /dev/null
+ git reset --hard v1.1.8;
make -j `nproc`
)
}
test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
cd u-boot
git fetch -a -t
- # For tag, see https://github.com/AsahiLinux/PKGBUILDs/blob/main/uboot-asahi/PKGBUILD
- git reset --hard origin/asahi; git clean -f -x -d &> /dev/null
- curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+ git reset --hard origin/asahi;
+
make apple_m1_defconfig
make -j `nproc`
)
-
cat m1n1/build/m1n1.bin `find linux/arch/arm64/boot/dts/apple/ -name \*.dtb` <(gzip -c u-boot/u-boot-nodtb.bin) > u-boot.bin
sudo cp /boot/efi/m1n1/boot.bin /boot/efi/m1n1/`date +%Y%m%d%H%M`.bin
sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
-
}
+echo 'Has no gpu yet'
+echo 'Boot but crashes shortly after. Do not use.'
+exit 1
+
mkdir -p build
cd build